java.security

## Class KeyStore.PrivateKeyEntry

- java.lang.Object
- - java.security.KeyStore.PrivateKeyEntry

- All Implemented Interfaces:
    KeyStore.Entry
  Enclosing class:
    KeyStore

      public static final class KeyStore.PrivateKeyEntry
      extends Object
      implements KeyStore.Entry

  A `KeyStore` entry that holds a `PrivateKey` and corresponding certificate chain.
  Since:
    1.5

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyStore.PrivateKeyEntry(PrivateKey privateKey, Certificate[] chain)` Constructs a `PrivateKeyEntry` with a `PrivateKey` and corresponding certificate chain.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Certificate` | `getCertificate()` Gets the end entity `Certificate` from the certificate chain in this entry.
    `Certificate[]` | `getCertificateChain()` Gets the `Certificate` chain from this entry.
    `PrivateKey` | `getPrivateKey()` Gets the `PrivateKey` from this entry.
    `String` | `toString()` Returns a string representation of this PrivateKeyEntry.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyStore.PrivateKeyEntry

          public KeyStore.PrivateKeyEntry(PrivateKey privateKey,
                                  Certificate[] chain)

      Constructs a `PrivateKeyEntry` with a `PrivateKey` and corresponding certificate chain.

      The specified `chain` is cloned before it is stored in the new `PrivateKeyEntry` object.

      Parameters:
        `privateKey` - the `PrivateKey`
        `chain` - an array of `Certificate`s representing the certificate chain. The chain must be ordered and contain a `Certificate` at index 0 corresponding to the private key.
      Throws:
        `NullPointerException` - if `privateKey` or `chain` is `null`
        `IllegalArgumentException` - if the specified chain has a length of 0, if the specified chain does not contain `Certificate`s of the same type, or if the `PrivateKey` algorithm does not match the algorithm of the `PublicKey` in the end entity `Certificate` (at index 0)

  - ### Method Detail

    - #### getPrivateKey

          public PrivateKey getPrivateKey()

      Gets the `PrivateKey` from this entry.
      Returns:
        the `PrivateKey` from this entry

    - #### getCertificateChain

          public Certificate[] getCertificateChain()

      Gets the `Certificate` chain from this entry.

      The stored chain is cloned before being returned.

      Returns:
        an array of `Certificate`s corresponding to the certificate chain for the public key. If the certificates are of type X.509, the runtime type of the returned array is `X509Certificate[]`.

    - #### getCertificate

          public Certificate getCertificate()

      Gets the end entity `Certificate` from the certificate chain in this entry.
      Returns:
        the end entity `Certificate` (at index 0) from the certificate chain in this entry. If the certificate is of type X.509, the runtime type of the returned certificate is `X509Certificate`.

    - #### toString

          public String toString()

      Returns a string representation of this PrivateKeyEntry.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string representation of this PrivateKeyEntry.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.